# k8s-sec

This repository contains examples for Kubernetes Security for Starters. I cover within this repository the following aspects:

* Basic Pod Security
	* Readonly root fs
	* No automount of service account tokens
	* Not running as root user
	* etc.
* Basic Resource Security
	* ResourceQuotas for namespaces
	* LimitRanges to restrict pod's resources
* Show insecure ConfigMaps
	* Billing ConfigMap is an example thereof (not used by a service in this example)
* Have different services deployed (LoadBalancer, ClusterIP)

The service are some small NodeJS applications that you can build using the corresponding Docker files in each directory.
Before you can start, you also need to create the following namespaces in k8s:

* billing
* order
* shipping

Only three services are reachable from the outside, namely the billing, order and shipping services. They all run on the localhost, use http and are reachable through ports 8080, 8082 and 8084 respectively.